org.apache.cassandra.utils.progress

## Enum ProgressEventType

- java.lang.Object
- - java.lang.Enum<ProgressEventType>
  - - org.apache.cassandra.utils.progress.ProgressEventType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProgressEventType>

    public enum ProgressEventType
    extends java.lang.Enum<ProgressEventType>

Progress event type.

Progress starts by emitting `START`, followed by emitting zero or more `PROGRESS` events, then it emits either one of `ERROR`/`ABORT`/`SUCCESS`. Progress indicates its completion by emitting `COMPLETE` at the end of process.

`NOTIFICATION` event type is used to just notify message without progress.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORT` When observing process is aborted by user, this is sent once before COMPLETE.
`COMPLETE` Fire when progress complete.
`ERROR` When observing process completes with error, this is sent once before COMPLETE.
`NOTIFICATION` Used when sending message without progress.
`PROGRESS` Fire when progress happens.
`START` Fired first when progress starts.
`SUCCESS` When observing process completes successfully, this is sent once before COMPLETE.

### Method Summary

All Methods Static Methods Concrete Methods
`static ProgressEventType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProgressEventType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START

    public static final ProgressEventType START

Fired first when progress starts. Happens only once.

#### PROGRESS

    public static final ProgressEventType PROGRESS

Fire when progress happens. This can be zero or more time after START.

#### ERROR

    public static final ProgressEventType ERROR

When observing process completes with error, this is sent once before COMPLETE.

#### ABORT

    public static final ProgressEventType ABORT

When observing process is aborted by user, this is sent once before COMPLETE.

#### SUCCESS

    public static final ProgressEventType SUCCESS

When observing process completes successfully, this is sent once before COMPLETE.

#### COMPLETE

    public static final ProgressEventType COMPLETE

Fire when progress complete. This is fired once, after ERROR/ABORT/SUCCESS is fired. After this, no more ProgressEvent should be fired for the same event.

#### NOTIFICATION

    public static final ProgressEventType NOTIFICATION

Used when sending message without progress.

### Method Detail

#### values

    public static ProgressEventType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ProgressEventType c : ProgressEventType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ProgressEventType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null